aboutsummaryrefslogtreecommitdiffstats
path: root/setup.sh
diff options
context:
space:
mode:
authorBlake DeMarcy <ofunknowndescent@gmail.com>2017-04-02 02:35:58 -0500
committerBlake DeMarcy <ofunknowndescent@gmail.com>2017-04-02 02:35:58 -0500
commit26b6dc190733facb01edbb32d3454b4824bac4bc (patch)
tree6dc257da0ab984baea5d461205a004a8fd34de1c /setup.sh
parentf9e4783f7544134bfeb7db5396d09c684a7560a9 (diff)
downloadbbj-26b6dc190733facb01edbb32d3454b4824bac4bc.tar.gz
initial commit of non-prototype
Diffstat (limited to 'setup.sh')
-rwxr-xr-xsetup.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/setup.sh b/setup.sh
new file mode 100755
index 0000000..9d508bc
--- /dev/null
+++ b/setup.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+set -e
+
+if [[ $1 == --init ]]; then
+ sqlite3 bbj.db < schema.sql
+ echo cleared
+ exit
+fi
+
+DEPS=(
+ cherrypy
+ markdown
+)
+
+if [[ -z $1 ]]; then
+ cat << EOF
+Pass the python interpreter to use for pip installation
+(either a venv or a system interpreter)
+EOF
+ exit
+fi
+
+$1 -m pip install ${DEPS[*]}
+
+echo "Enter [i] to initialize a new database"
+read CLEAR
+[[ $CLEAR == "i" ]] && sqlite3 bbj.db < schema.sql
Un proyecto texto-plano.xyz